Subject: Re: [PATCH v2] log-tree: use custom line terminator in line termination mode

From: Jan Krüger <[email-masked]>
Date: Tue, 01 May 2012 01:28:28 +0200

On 05/01/2012 12:58 AM, Junio C Hamano wrote:
> Having said that, are we sure that
> 
> 	printf "add bar\0initial"
> 
> works per specification, or merely works by accident in some
> implementation?

I don't know for certain. In these cases I go by what dash (Debian's sh
implementation) does. To quote its manpage:

"Only features designated by POSIX, plus a few Berkeley extensions, are
being incorporated into this shell."

It does support this syntax for printf. That's enough for me personally.
Is it enough for everyone? I don't know.

-Jan